Subject: bug#29906: 27.0.50; Emacs prompts for passwords in GUI dialog instead of minibuffer

From: Daiki Ueno <[email-masked]>
Date: Sat, 30 Dec 2017 22:06:28 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Daiki Ueno <[email-masked]>
>> Cc: [email-masked] (N. Jackson),  [email-masked]
>> Date: Sat, 30 Dec 2017 21:13:04 +0100
>> 
>> >> >   ** The pinentry.el library has been removed.
>> >> >   That package (and the corresponding change in GnuPG and pinentry)
>> >> >   was intended to provide a way to input passphrase through Emacs with
>> >> >   GnuPG 2.0.  However, the change to support that was only implemented
>> >> >   in GnuPG >= 2.1 and didn't get backported to GnuPG 2.0.  And with
>> >> >   GnuPG 2.1 and later, pinentry.el is not needed at all.  So the
>> >> >   library was useless, and we removed it.  GnuPG 2.0 is no longer
>> >> >   supported by the upstream project.
>> >> >
>> >> >   To adapt to the change, you may need to set 'epa-pinentry-mode' to the
>> >> >   symbol 'loopback'.
>> 
>> I wasn't aware of this entry.  Would it really make sense, given that
>> pinentry.el was a new library introduced in Emacs 26?
>
> ??? I see pinentry.el in all versions of Emacs starting from 25.1.

Oops, you are right (forgot about it).  Then, perhaps it might be safer
to move it to obsolete, but I presume the impact of the removal is not
that big.

> Would you advise saying something along these lines in NEWS?

Sure.

Regards,
-- 
Daiki Ueno